//*******************************************************************
//****** tree model***************************************
//*******************************************************************
textures/tree/branch_pine5
{
	//sort 10		
	cull twosided
	{
		map textures/tree/branch_pine5.tga
		alphaFunc GE128
		rgbGen identity

	}

}

textures/tree/branch_pine5a
{
	//sort 10		
	cull twosided
	{
		map textures/tree/branch_pine5a.tga
		alphaFunc GE128
		rgbGen identity

	}

}


textures/tree/branch_pine6
{
	//sort 10		
	cull twosided
	{
		map textures/tree/branch_pine6.tga
		alphaFunc GE128
		rgbGen identity

	}

}



// exactly like skip, but it filters with hint
textures/common/hintskip
{
	qer_editorimage textures/common/skip
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm skip
	surfaceparm structural
	surfaceparm trans
}


//********************
// ellas texture 
// ******************

models\mapobjects\dmodels\ellas\dcorinth
{

implicitMask -
	
}


/////////////////////////////////////////////////////////////////////
// FROZEN SKY - BY AVOC @ eft-clan.com
// If you wish to use this sky, please leave this part in the shader
// or give proper credit in the readme
// Rendered by Paul aka Scary - paul@dumpendiezooi.nl
/////////////////////////////////////////////////////////////////////

textures/mountainpass/frozen_sky
{
	qer_editorimage textures/mountainpass/frozen_up.jpg
	
	skyParms textures/mountainpass/frozen 2048 -

	q3map_sunExt 0.90 0.68 0.77 200 220 25	// R G B Intensity Angle Pitch


	q3map_skylight 100 4                    //amount iterations
	q3map_noFog

	surfaceparm sky                         //flags compiler that this is sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	nopicmip
	nomipmaps

{
		map textures/mountainpass/clouds.tga
		blendFunc filter
		tcMod scroll 0.005 0.005
		tcMod scale 2 2
	}
}


//*******************************************************************
//****** glass TEXTURES ***************************************
//*******************************************************************


textures/mountainpass/towerglass_d
{
	qer_editorimage textures/mountainpass/towerglass_d.tga
	q3map_tesssize 48
	qer_trans	0.5
	surfaceparm trans
	q3map_nolightmap
    {
        map textures/mountainpass/towerglass_d.tga
        blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
    }
    {
        map textures/mountainpass/towerglass_d.tga
        blendFunc GL_ONE GL_ONE
        tcGen environment
    }
}



//*******************************************************************
//******levelshots***************************************
//*******************************************************************

levelshots/mountainpass_cc_automap
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/mountainpass_cc.jpg
		depthFunc equal
		rgbGen identity
	}
}

levelshots/mountainpass_cc_trans
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/mountainpass_cc.jpg
		blendfunc blend
		rgbGen identity
		alphaGen vertex
	}
}



//*******************************************************************
//******rubble***************************************
//*******************************************************************

// rubble.shader
// generated by ShaderCleaner on Thu Feb  6 12:43:32 2003
// 5 total shaders

textures/rubble/burn_flr_m01
{
	surfaceparm woodsteps
	implicitMap -
}

textures/rubble/burn_flr_m01a
{
	qer_editorimage textures/rubble/burn_flr_m01a.tga
	surfaceparm pointlight
	surfaceparm woodsteps
	{
		map textures/props/ember1a.tga
		rgbGen wave sin 1 0.5 0 0.5
		tcmod rotate 3
	}
	{
		map textures/rubble/burn_flr_m01a.tga
		blendfunc blend
		rgbGen vertex
	}
}

textures/rubble/burn_flr_m01b
{
	qer_editorimage textures/rubble/burn_flr_m01a.tga
	surfaceparm pointlight
	surfaceparm woodsteps
	{
		map textures/props/ember1a.tga
		rgbGen wave sin 1 0.45 0 0.5
		tcmod rotate -3
	}
	{
		map textures/rubble/burn_flr_m01a.tga
		blendfunc blend
		rgbGen vertex
	}
}

textures/rubble/burn_flr_m01c
{
	qer_editorimage textures/rubble/burn_flr_m01a.tga
	surfaceparm pointlight
	surfaceparm woodsteps
	{
		map textures/props/ember1a.tga
		rgbGen wave sin 1 0.55 0 0.5
		tcmod rotate 3.2
	}
	{
		map textures/rubble/burn_flr_m01a.tga
		blendfunc blend
		rgbGen vertex
	}
}

textures/rubble/rebar_m01
{
	cull none
	surfaceparm metalsteps
	implicitMask -
}



//*******************************************************************
//******snow***************************************
//*******************************************************************

textures/snow/alpha_ice2
{		
	surfaceparm alphashadow
	cull none
	{
		map textures/snow/alpha_ice2s.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}


textures/snow/s_cwood_mo5c
{
	surfaceparm woodsteps
	implicitMap -
}

textures/snow_sd/mesh_c03_snow
{
	qer_alphafunc gequal 0.5
	cull none
	nomipmaps
	nopicmip
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	implicitMask -
}


textures/snow_sd/wood_m05a_snow
{
	surfaceparm woodsteps
	implicitMap -
}


textures/snow_sd/xmetal_m02_snow
{
	surfaceparm metalsteps
	implicitMap -
}


textures/snowbush/snowbush
{
	cull twosided
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
		implicitMask -
}



//*******************************************************************
//******xmas tree ***************************************
//*******************************************************************

models/mapobjects/xmas_tree/xmas_tree
{
	qer_alphafunc gequal 0.5
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	nopicmip
	implicitMask models/mapobjects/xmas_tree/xmas_tree.tga
}



///////////////////////////////
//    MERCEDES BENZ L3000    //
///////////////////////////////

models/mapobjects/converted/mercedes_benz_l3000_glass
{
	cull disable
    {
     map models/mapobjects/converted/mercedes_benz_l3000_glass.tga
     blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
     rgbGen vertex
    }
}




//*******************************************************************
//****** fire TEXTURES ***************************************
//*******************************************************************

textures/mountainpass/mon_fire
{
	qer_editorimage textures/mountainpass/fire.tga
	q3map_cloneshader textures/mountainpass/zzmon_fire_1
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 35 sawtooth 0 1 0 0.784
	deformvertexes move -0.755352 1.22297 0 inversesawtooth -0.695684 1 0 0.784
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/mountainpass/fire.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		rgbgen wave sawtooth 1 -1 1 0.784
		alphagen wave sawtooth 0 6 0 0.784
		tcMod rotate -33
		tcMod stretch sawtooth 1 -0.7 0 0.784
	}
}

textures/mountainpass/zzmon_fire_1
{
	qer_editorimage textures/mountainpass/fire.tga
	q3map_cloneshader textures/mountainpass/zzmon_fire_2
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 30 sawtooth 0 1 0.101516 0.784
	deformvertexes move -1.99659 -5.55274 0 inversesawtooth -0.169469 1 0.101516 0.784
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/mountainpass/fire.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		rgbgen wave sawtooth 1 -1 1.10152 0.784
		alphagen wave sawtooth 0 6 0.101516 0.784
		tcMod rotate -14
		tcMod stretch sawtooth 1 -0.7 0.101516 0.784
	}
}

textures/mountainpass/zzmon_fire_2
{
	qer_editorimage textures/mountainpass/fire.tga
	q3map_cloneshader textures/mountainpass/zzmon_fire_3
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 43 sawtooth 0 1 0.172346 0.784
	deformvertexes move 1.16215 -0.732783 0 inversesawtooth -0.72786 1 0.172346 0.784
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/mountainpass/fire.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		rgbgen wave sawtooth 1 -1 1.17235 0.784
		alphagen wave sawtooth 0 6 0.172346 0.784
		tcMod rotate 76
		tcMod stretch sawtooth 1 -0.7 0.172346 0.784
	}
}

textures/mountainpass/zzmon_fire_3
{
	qer_editorimage textures/mountainpass/fire.tga
	q3map_cloneshader textures/mountainpass/zzmon_fire_4
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 26 sawtooth 0 1 0.234889 0.784
	deformvertexes move 0.143494 6.19449 0 inversesawtooth -0.16139 1 0.234889 0.784
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/mountainpass/fire.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		rgbgen wave sawtooth 1 -1 1.23489 0.784
		alphagen wave sawtooth 0 6 0.234889 0.784
		tcMod rotate 50
		tcMod stretch sawtooth 1 -0.7 0.234889 0.784
	}
}

textures/mountainpass/zzmon_fire_4
{
	qer_editorimage textures/mountainpass/fire.tga
	q3map_cloneshader textures/mountainpass/zzmon_fire_5
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 26 sawtooth 0 1 0.292595 0.784
	deformvertexes move 5.98283 1.61183 0 inversesawtooth -0.16139 1 0.292595 0.784
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/mountainpass/fire.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		rgbgen wave sawtooth 1 -1 1.29259 0.784
		alphagen wave sawtooth 0 6 0.292595 0.784
		tcMod rotate -5
		tcMod stretch sawtooth 1 -0.7 0.292595 0.784
	}
}

textures/mountainpass/zzmon_fire_5
{
	qer_editorimage textures/mountainpass/fire.tga
	q3map_cloneshader textures/mountainpass/zzmon_fire_6
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 50 sawtooth 0 1 0.34695 0.784
	deformvertexes move 0.859558 0.511038 0 inversesawtooth 1 0 0.34695 0.784
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/mountainpass/fire.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		rgbgen wave sawtooth 1 -1 1.34695 0.784
		alphagen wave sawtooth 0 6 0.34695 0.784
		tcMod rotate 66
		tcMod stretch sawtooth 1 -0.7 0.34695 0.784
	}
}

textures/mountainpass/zzmon_fire_6
{
	qer_editorimage textures/mountainpass/fire.tga
	q3map_cloneshader textures/mountainpass/zzmon_fire_7
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 37 sawtooth 0 1 0.398777 0.784
	deformvertexes move -2.67904 -4.47529 0 inversesawtooth -0.191722 1 0.398777 0.784
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/mountainpass/fire.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		rgbgen wave sawtooth 1 -1 1.39878 0.784
		alphagen wave sawtooth 0 6 0.398777 0.784
		tcMod rotate -86
		tcMod stretch sawtooth 1 -0.7 0.398777 0.784
	}
}

textures/mountainpass/zzmon_fire_7
{
	qer_editorimage textures/mountainpass/fire.tga
	q3map_cloneshader textures/mountainpass/zzmon_fire_8
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 46 sawtooth 0 1 0.448591 0.784
	deformvertexes move 0 -0 0 inversesawtooth 1 0 0.448591 0.784
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/mountainpass/fire.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		rgbgen wave sawtooth 1 -1 1.44859 0.784
		alphagen wave sawtooth 0 6 0.448591 0.784
		tcMod rotate 40
		tcMod stretch sawtooth 1 -0.7 0.448591 0.784
	}
}

textures/mountainpass/zzmon_fire_8
{
	qer_editorimage textures/mountainpass/fire.tga
	q3map_cloneshader textures/mountainpass/zzmon_fire_9
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 23 sawtooth 0 1 0.496744 0.784
	deformvertexes move -4.94232 -5.48227 0 inversesawtooth -0.13548 1 0.496744 0.784
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/mountainpass/fire.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		rgbgen wave sawtooth 1 -1 1.49674 0.784
		alphagen wave sawtooth 0 6 0.496744 0.784
		tcMod rotate 7
		tcMod stretch sawtooth 1 -0.7 0.496744 0.784
	}
}

textures/mountainpass/zzmon_fire_9
{
	qer_editorimage textures/mountainpass/fire.tga
	q3map_cloneshader textures/mountainpass/zzmon_fire_10
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 49 sawtooth 0 1 0.543492 0.784
	deformvertexes move -1.79422 0.902671 0 inversesawtooth -0.497887 1 0.543492 0.784
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/mountainpass/fire.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		rgbgen wave sawtooth 1 -1 1.54349 0.784
		alphagen wave sawtooth 0 6 0.543492 0.784
		tcMod rotate 61
		tcMod stretch sawtooth 1 -0.7 0.543492 0.784
	}
}

textures/mountainpass/zzmon_fire_10
{
	qer_editorimage textures/mountainpass/fire.tga
	q3map_cloneshader textures/mountainpass/zzmon_fire_11
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 34 sawtooth 0 1 0.589025 0.784
	deformvertexes move 2.95209 4.68766 0 inversesawtooth -0.180513 1 0.589025 0.784
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/mountainpass/fire.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		rgbgen wave sawtooth 1 -1 1.58902 0.784
		alphagen wave sawtooth 0 6 0.589025 0.784
		tcMod rotate 74
		tcMod stretch sawtooth 1 -0.7 0.589025 0.784
	}
}

textures/mountainpass/zzmon_fire_11
{
	qer_editorimage textures/mountainpass/fire.tga
	q3map_cloneshader textures/mountainpass/zzmon_fire_12
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 36 sawtooth 0 1 0.633492 0.784
	deformvertexes move -1.00805 -3.17335 0 inversesawtooth 0 1 0.633492 0.784
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/mountainpass/fire.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		rgbgen wave sawtooth 1 -1 1.63349 0.784
		alphagen wave sawtooth 0 6 0.633492 0.784
		tcMod rotate 61
		tcMod stretch sawtooth 1 -0.7 0.633492 0.784
	}
}

textures/mountainpass/zzmon_fire_12
{
	qer_editorimage textures/mountainpass/fire.tga
	q3map_cloneshader textures/mountainpass/zzmon_fire_13
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 25 sawtooth 0 1 0.677012 0.784
	deformvertexes move 7.14711 5.88953 0 inversesawtooth 0 1 0.677012 0.784
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/mountainpass/fire.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		rgbgen wave sawtooth 1 -1 1.67701 0.784
		alphagen wave sawtooth 0 6 0.677012 0.784
		tcMod rotate 36
		tcMod stretch sawtooth 1 -0.7 0.677012 0.784
	}
}

textures/mountainpass/zzmon_fire_13
{
	qer_editorimage textures/mountainpass/fire.tga
	q3map_cloneshader textures/mountainpass/zzmon_fire_14
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 51 sawtooth 0 1 0.719682 0.784
	deformvertexes move -2.10451 -0.533267 0 inversesawtooth 0 1 0.719682 0.784
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/mountainpass/fire.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		rgbgen wave sawtooth 1 -1 1.71968 0.784
		alphagen wave sawtooth 0 6 0.719682 0.784
		tcMod rotate 82
		tcMod stretch sawtooth 1 -0.7 0.719682 0.784
	}
}

textures/mountainpass/zzmon_fire_14
{
	qer_editorimage textures/mountainpass/fire.tga
	q3map_cloneshader textures/mountainpass/zzmon_fire_15
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 29 sawtooth 0 1 0.761582 0.784
	deformvertexes move -6.53379 -4.58198 0 inversesawtooth -0.125309 1 0.761582 0.784
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/mountainpass/fire.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		rgbgen wave sawtooth 1 -1 1.76158 0.784
		alphagen wave sawtooth 0 6 0.761582 0.784
		tcMod rotate -4
		tcMod stretch sawtooth 1 -0.7 0.761582 0.784
	}
}

textures/mountainpass/zzmon_fire_15
{
	qer_editorimage textures/mountainpass/fire.tga
	q3map_cloneshader textures/mountainpass/zzmon_fire_16
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 29 sawtooth 0 1 0.80278 0.784
	deformvertexes move 7.94022 0.798698 0 inversesawtooth 0 1 0.80278 0.784
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/mountainpass/fire.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		rgbgen wave sawtooth 1 -1 1.80278 0.784
		alphagen wave sawtooth 0 6 0.80278 0.784
		tcMod rotate 60
		tcMod stretch sawtooth 1 -0.7 0.80278 0.784
	}
}

textures/mountainpass/zzmon_fire_16
{
	qer_editorimage textures/mountainpass/fire.tga
	q3map_cloneshader textures/mountainpass/zzmon_fire_17
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 21 sawtooth 0 1 0.843334 0.784
	deformvertexes move -4.8337 8.16552 0 inversesawtooth 0 1 0.843334 0.784
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/mountainpass/fire.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		rgbgen wave sawtooth 1 -1 1.84333 0.784
		alphagen wave sawtooth 0 6 0.843334 0.784
		tcMod rotate 4
		tcMod stretch sawtooth 1 -0.7 0.843334 0.784
	}
}

textures/mountainpass/zzmon_fire_17
{
	qer_editorimage textures/mountainpass/fire.tga
	q3map_cloneshader textures/mountainpass/zzmon_fire_18
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 39 sawtooth 0 1 0.883292 0.784
	deformvertexes move -5.90123 -5.35486 0 inversesawtooth 0 1 0.883292 0.784
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/mountainpass/fire.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		rgbgen wave sawtooth 1 -1 1.88329 0.784
		alphagen wave sawtooth 0 6 0.883292 0.784
		tcMod rotate 12
		tcMod stretch sawtooth 1 -0.7 0.883292 0.784
	}
}

textures/mountainpass/zzmon_fire_18
{
	qer_editorimage textures/mountainpass/fire.tga
	q3map_cloneshader textures/mountainpass/zzmon_fire_19
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 35 sawtooth 0 1 0.922698 0.784
	deformvertexes move 3.42269 -0.317997 0 inversesawtooth 0 1 0.922698 0.784
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/mountainpass/fire.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		rgbgen wave sawtooth 1 -1 1.9227 0.784
		alphagen wave sawtooth 0 6 0.922698 0.784
		tcMod rotate 47
		tcMod stretch sawtooth 1 -0.7 0.922698 0.784
	}
}

textures/mountainpass/zzmon_fire_19
{
	qer_editorimage textures/mountainpass/fire.tga
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 49 sawtooth 0 1 0.96159 0.784
	deformvertexes move 1.18481 1.6218 0 inversesawtooth -0.497887 1 0.96159 0.784
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/mountainpass/fire.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		rgbgen wave sawtooth 1 -1 1.96159 0.784
		alphagen wave sawtooth 0 6 0.96159 0.784
		tcMod rotate 7
		tcMod stretch sawtooth 1 -0.7 0.96159 0.784
	}
}


//********************
//  on off light texture
// ******************

textures/mountainpass/mble
{
	qer_editorimage textures/mountainpass/mble.tga
	q3map_surfacelight 50
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nomarks
	nofog
	nomipmaps
	nopicmip
	cull none
	deformVertexes autosprite
	{
		clampmap textures/mountainpass/mble.tga
		rgbGen wave sin 0 1 0.7 0.3
		blendfunc add
		tcMod stretch sin 1.0 0.1 0.5 0.5
	}
}


textures/mountainpass/kokkivo
{
	qer_editorimage textures/mountainpass/kokkivo.tga
	q3map_surfacelight 50
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nomarks
	nofog
	nomipmaps
	nopicmip
	cull none
	deformVertexes autosprite
	{
		clampmap textures/mountainpass/kokkivo.tga
		rgbGen wave sin 0 1 0.3 0.6
		blendfunc add
		tcMod stretch sin 1.0 0.1 0.5 0.5
	}
}


textures/mountainpass/kitpivo
{
	qer_editorimage textures/mountainpass/kitpivo.tga
	q3map_surfacelight 50
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nomarks
	nofog
	nomipmaps
	nopicmip
	cull none
	deformVertexes autosprite
	{
		clampmap textures/mountainpass/kitpivo.tga
		rgbGen wave sin 0 1 0 0.5
		blendfunc add
		tcMod stretch sin 1.0 0.1 0.5 0.5
	}
}


textures/mountainpass/bpadivo
{
	qer_editorimage textures/mountainpass/bpadivo.tga
	q3map_surfacelight 50
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nomarks
	nofog
	nomipmaps
	nopicmip
	cull none
	deformVertexes autosprite
	{
		clampmap textures/mountainpass/bpadivo.tga
		rgbGen wave sin 0 1 0.7 0.3
		blendfunc add
		tcMod stretch sin 1.0 0.1 0.5 0.5
	}
}


textures/mountainpass/beam
	{
      qer_editorimage textures/mountainpass/beam.tga
	q3map_globaltexture
	surfaceparm trans	
      surfaceparm nomarks	
      surfaceparm nonsolid
	surfaceparm nolightmap
	q3map_surfacelight 50
      qer_trans 0.6
	cull none
	surfaceparm nomipmaps
      //nopicmip
	{
		map textures/mountainpass/beam.tga
		//tcMod scale 0.35 0.35
		tcMod turb 0 0.015 0.5 0.07
		tcMod Scroll .15 0
            blendFunc add
      }

}

//*******************************************************************
//****** gold TEXTURES ***************************************
//*******************************************************************

textures/mountainpass/gold
	{
	surfaceparm metalsteps
	{
		map textures/mountainpass/tinfx.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mountainpass/gold.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


//*******************************************************************
//****** Big Banner TEXTURES ***************************************
//*******************************************************************
textures/mountainpass/tvscreen1
{
	qer_editorimage textures/mountainpass/tvscreen1.tga
	q3map_lightimage textures/mountainpass/tvscreen1.tga
	q3map_surfacelight 100

	{
		animMap .15 textures/mountainpass/tvscreen1.tga textures/mountainpass/tvscreen2.tga textures/mountainpass/tvscreen3.tga textures/mountainpass/tvscreen4.tga

		rgbGen wave sawtooth 0 1 0 .15
	
	}

	{
		map textures/mountainpass/noise_green.tga
		blendfunc add
		rgbGen wave inversesawtooth 0 1 0 .15
		tcmod scroll 5 .25 
	}


	{
		map textures/mountainpass/comp3textb.tga
		blendfunc add
		rgbGen identity
		tcmod scroll 2 2
	}

	{
map textures/mountainpass/elec_line.tga
		blendfunc add
	        	rgbGen identity
		tcmod scroll 3 3
}

	{


		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
		rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}


                


//*******************************************************************
//****** barbed_wire TEXTURES ***************************************
//*******************************************************************
textures/mountainpass/barbed_wire
{
	surfaceparm alphashadow
	surfaceparm trans
surfaceparm playerclip
     surfaceparm nomarks
	cull disable
	nomipmaps
	{
		map textures/mountainpass/barbed_wire.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}


//*******************************************************************
//****** banner TEXTURES ***************************************
//*******************************************************************

textures/mountainpass/banner
{
qer_editorimage textures/mountainpass/banner.tga
surfaceparm nonsolid
surfaceparm alphashadow
cull none

deformVertexes wave 100 sin 0 1 0 .1
deformVertexes wave 30 sin 0 1 0 .1
tessSize 64

implicitMask textures/mountainpass/banner.tga
}

textures/mountainpass/banner1
{
qer_editorimage textures/mountainpass/banner1.tga
surfaceparm nonsolid
surfaceparm alphashadow
cull none

deformVertexes wave 100 sin 0 1 0 .1
deformVertexes wave 30 sin 0 1 0 .1
tessSize 64

implicitMask textures/mountainpass/banner1.tga
}



//*******************************************************************
//****** terrain TEXTURES ***************************************
//*******************************************************************

textures/mountainpass/alpha_025
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.25
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}


textures/mountainpass/terrain_0
{
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_tcGen ivector ( 1024 0 0 ) ( 0 1024 0 )
surfaceparm landmine
	surfaceparm snowsteps
	{
		map textures/stone/mxsnow3.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/mountainpass/terrain_1

{
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_tcGen ivector ( 1024 0 0 ) ( 0 1024 0 )
surfaceparm landmine
	surfaceparm snowsteps
	{
		map textures/stone/mxsnow2.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/mountainpass/terrain_2
{
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_tcGen ivector ( 1024 0 0 ) ( 0 1024 0 )
surfaceparm landmine
	surfaceparm snowsteps
	{
		map textures/stone/mxrock3h_snow.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/mountainpass/terrain_0to1
{
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_tcGen ivector ( 1024 0 0 ) ( 0 1024 0 )
surfaceparm landmine
	surfaceparm snowsteps
	
	{
		map textures/stone/mxsnow3.tga
	}
	{
		map textures/stone/mxsnow2.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/mountainpass/terrain_0to2
{
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_tcGen ivector ( 1024 0 0 ) ( 0 1024 0 )
surfaceparm landmine
	surfaceparm snowsteps
	
	{
		map textures/stone/mxsnow3.tga
	}
	{
		map textures/stone/mxrock3h_snow.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/mountainpass/terrain_1to2
{
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_tcGen ivector ( 1024 0 0 ) ( 0 1024 0 )
surfaceparm landmine
	surfaceparm snowsteps
	
	{
		map textures/stone/mxsnow2.tga
	}
	{
		map textures/stone/mxrock3h_snow.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/mountainpass/terrain_base
{
	{
		map textures/stone/mxsnow3.tga
		rgbGen vertex
	}
}


textures/mountainpass/xiovi
{
	surfaceparm gravelsteps

	q3map_lightmapaxis z
	q3map_tcGen ivector ( 1024 0 0 ) ( 0 1024 0 )
	q3map_shadeangle 130
	{
		map textures/stone/mxrock1aa.tga
		rgbGen identity
	}
	{
		//100 vardets textur

		map textures/stone/mxsnow3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}



